<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus Callout API</title>
    <filename>main</filename>
  </compound>
  <compound kind="group">
    <name>globus_callout_activation</name>
    <title>Activation</title>
    <filename>group__globus__callout__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_CALLOUT_MODULE</name>
      <anchorfile>group__globus__callout__activation.html</anchorfile>
      <anchor>ga044b3a21bd031d0e5b1f3e1a4734085f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_handle</name>
    <title>Callout Handle Operations</title>
    <filename>group__globus__callout__handle.html</filename>
    <member kind="typedef">
      <type>struct globus_i_callout_handle_s *</type>
      <name>globus_callout_handle_t</name>
      <anchorfile>group__globus__callout__handle.html</anchorfile>
      <anchor>ga7afe1905f0a00916859e9ff5dc1125ff</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_handle_init</name>
      <anchorfile>group__globus__callout__handle.html</anchorfile>
      <anchor>ga9a7d370f8b0a49c010ade3eae1c3ff0a</anchor>
      <arglist>(globus_callout_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_handle_destroy</name>
      <anchorfile>group__globus__callout__handle.html</anchorfile>
      <anchor>ga51903fd9bcab84413fd8c05b187846ed</anchor>
      <arglist>(globus_callout_handle_t handle)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_config</name>
    <title>Callout Configuration</title>
    <filename>group__globus__callout__config.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_read_config</name>
      <anchorfile>group__globus__callout__config.html</anchorfile>
      <anchor>ga585e14b91769f7ed658dc24a3a4acace</anchor>
      <arglist>(globus_callout_handle_t handle, char *filename)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_register</name>
      <anchorfile>group__globus__callout__config.html</anchorfile>
      <anchor>gaf220d0e696918c2434746664f5d305b3</anchor>
      <arglist>(globus_callout_handle_t handle, char *type, char *library, char *symbol)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_call</name>
    <title>Callout Invocation</title>
    <filename>group__globus__callout__call.html</filename>
    <member kind="typedef">
      <type>globus_result_t(*</type>
      <name>globus_callout_function_t</name>
      <anchorfile>group__globus__callout__call.html</anchorfile>
      <anchor>gab9485c1a07395118c64a5a8368f699e1</anchor>
      <arglist>)(va_list ap)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_callout_call_type</name>
      <anchorfile>group__globus__callout__call.html</anchorfile>
      <anchor>ga1043834022413936d63843f9d34f30ab</anchor>
      <arglist>(globus_callout_handle_t handle, char *type,...)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_callout_constants</name>
    <title>Globus Callout Constants</title>
    <filename>group__globus__callout__constants.html</filename>
    <member kind="enumeration">
      <name>globus_callout_error_t</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>ga25430794009f3a1b4272864baf48447c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_SUCCESS</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca0b3a0094df9cb9de9800ac1f75f3e0ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_WITH_HASHTABLE</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447cab570b9e0d2a8f4aa93bdf59a19ac915b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_OPENING_CONF_FILE</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca612357dd3ccbe0e6461ec2906bdc195e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_PARSING_CONF_FILE</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca4a1a07c930cf11863b2eb688e222c043</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_WITH_DL</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca50b35132ad60acf8857fc60432226d8d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_OUT_OF_MEMORY</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca0add9dad13b87b451adf2391fca94035</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_TYPE_NOT_REGISTERED</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca9a788d14447ba1ef8c19dc396066a2ab</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_CALLOUT_ERROR</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca2306ee7872ab34e570be27cf4fe4996f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_CALLOUT_ERROR_LAST</name>
      <anchorfile>group__globus__callout__constants.html</anchorfile>
      <anchor>gga25430794009f3a1b4272864baf48447ca26ad524bd4d6c81efd33188180a66855</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
